\documentstyle[12pt,amstex,amssymb]{article}
\def\ga{\alpha}
\def\gb{\beta}
\def\gc{\gamma}
\def\gd{\delta}
\def\ge{\epsilon}
\def\gz{\zeta}
\def\gy{\eta}
\def\th{\theta}
\def\gi{\iota}
\def\gk{\kappa}
\def\gl{\lambda}
\def\gm{\mu}
\def\gn{\nu}
\def\gx{\xi}
\def\gp{\pi}
\def\gr{\rho}
\def\gs{\sigma}
\def\gt{\tau}
\def\gu{\upsilon}
\def\ph{\phi}
\def\ch{\chi}
\def\ps{\psi}
\def\gw{\omega}

\def\gB{\Beta}
\def\gC{\Gamma}
\def\gD{\Delta}
\def\Th{\Theta}
\def\gL{\Lambda}
\def\gX{\Xi}
\def\gP{\Pi}
\def\gS{\Sigma}
\def\gU{\Upsilon}
\def\Ph{\Phi}
\def\Ps{\Psi}
\def\gW{\Omega}

\def\bA{{\bf A}}
\def\bB{{\bf B}}
\def\bC{{\bf C}}
\def\bD{{\bf D}}
\def\bE{{\bf E}}
\def\bF{{\bf F}}
\def\bG{{\bf G}}
\def\bH{{\bf H}}
\def\bI{{\bf I}}
\def\bJ{{\bf J}}
\def\bK{{\bf K}}
\def\bL{{\bf L}}
\def\bM{{\bf M}}
\def\bN{{\bf N}}
\def\bO{{\bf O}}
\def\bP{{\bf P}}
\def\bQ{{\bf Q}}
\def\bR{{\bf R}}
\def\bS{{\bf S}}
\def\bT{{\bf T}}
\def\bU{{\bf U}}
\def\bV{{\bf V}}
\def\bW{{\bf W}}
\def\bX{{\bf X}}
\def\bY{{\bf Y}}
\def\bZ{{\bf Z}}

\def\cA{{\cal A}}
\def\cB{{\cal B}}
\def\cC{{\cal C}}
\def\cD{{\cal D}}
\def\cE{{\cal E}}
\def\cF{{\cal F}}
\def\cG{{\cal G}}
\def\cH{{\cal H}}
\def\cI{{\cal I}}
\def\cJ{{\cal J}}
\def\cK{{\cal K}}
\def\cL{{\cal L}}
\def\cM{{\cal M}}
\def\cN{{\cal N}}
\def\cO{{\cal O}}
\def\cP{{\cal P}}
\def\cQ{{\cal Q}}
\def\cR{{\cal R}}
\def\cS{{\cal S}}
\def\cT{{\cal T}}
\def\cU{{\cal U}}
\def\cV{{\cal V}}
\def\cW{{\cal W}}
\def\cX{{\cal X}}
\def\cY{{\cal Y}}
\def\cZ{{\cal Z}}


\def\ba{{\bf a}}
\def\bb{{\bf b}}
\def\bc{{\bf c}}
\def\bd{{\bf d}}
\def\be{{\bf e}}
\def\bg{{\bf g}}
\def\bh{{\bf h}}
\def\bi{{\bf i}}
\def\bj{{\bf j}}
\def\bk{{\bf k}}
\def\bl{{\bf l}}
\def\bm{{\bf m}}
\def\bn{{\bf n}}
\def\bo{{\bf o}}
\def\bp{{\bf p}}
\def\bq{{\bf q}}
\def\br{{\bf r}}
\def\bs{{\bf s}}
\def\bt{{\bf t}}
\def\bu{{\bf u}}
\def\bv{{\bf v}}
\def\bw{{\bf w}}
\def\bx{{\bf x}}
\def\by{{\bf y}}
\def\bz{{\bf z}}

\def\b0{{\bf0}}
\def\o{\circ}
\def\x{\times}
\def\d{\partial}
\def\<{\langle}
\def\>{\rangle}
\def\R{{\mathbb R}}
\def\Z{{\mathbb Z}}
\def\Q{{\mathbb Q}}
\def\N{{\mathbb N}}
\def\C{{\mathbb C}}
\def\T{{\mathbb T}}
\def\Cinf{C^\infty}
\def\sb{\subseteq}
\def\sp{\superseteq}
\def\({\left(}
\def\){\right)}
\def\rank{\mbox{rank}\,}
\def\rk{\mbox{rank}\,}
\def\ddt{\frac d{dt}}
\def\corank{\mbox{corank}\,}
\def\cl{\hbox{cl}\,}
\def\im{\hbox{im}\,}
\def\Id{\hbox{Id}}
\def\Diff{\hbox{Diff}}
\def\tv{\pitchfork}
\def\ntv{\not\tv}
\def\codim{\hbox{codim}\,}
\def\tr{\hbox{tr}\,}
\def\cosec{\hbox{cosec}\,}
\def\const{\hbox{const}}
\def\lc{\lceil}
\def\rc{\rceil}
\def\lf{\lfloor}
\def\rf{\rfloor}
\def\sech{\hbox{sech}\,}
\def\csch{\hbox{csch}\,}
\def\grad{\hbox{grad}\,}
\def\nbhd{neighbourhood}
\def\dlim{\displaystyle\lim}
\def\dfrac#1#2{\displaystyle{#1\over#2}}
\def\dsum{\displaystyle\sum}
\def\dint{\displaystyle\int}
\def\diint{\displaystyle\iint}
\def\diiint{\displaystyle\iiint}
\def\doint{\displaystyle\oint}
\def\tlim{\textstyle\lim}
\def\tfrac#1#2{\textstyle{#1\over#2}}
\def\tsum{\textstyle\sum}
\def\tint{\textstyle\int}
\def\del{\nabla}
\def\div{\hbox{div}\,}
\def\curl{\hbox{curl}\,}
\def\intL{\int\limits}
\def\iintL{\iint\limits}
\def\iiintL{\iiint\limits}

\def\abs{\hbox{abs}\,}
\def\sgn{\hbox{sgn}\,}
\def\dom{\hbox{dom}\,}


\def\eval{\,\Bigl.\Bigl|}



\def\drawbox#1{\lower6pt\hbox{{\vbox{\hrule\hbox{\vrule\kern15pt
   \vbox{\kern10pt\vbox{\hbox{#1}}\kern10pt} 
   \kern18pt\vrule}\hrule}}}}

\def\picture #1 by #2 (#3){
  \medbreak
		$$\vbox to #2{
    \hrule width #1 height 0pt depth 0pt
    \vfill
    \special{picture #3}
  }$$
}

\def\scaledpicture #1 by #2 (#3 scaled #4){
  \dimen0=#1 
		\dimen1=#2
  \divide\dimen0 by 1000 
   \multiply\dimen0 by #4
  \divide\dimen1 by 1000 
   \multiply\dimen1 by #4
  \picture \dimen0 by \dimen1 (#3 scaled #4)}
%\input mypars
%The following are plain tex style parameters 

\baselineskip=12pt
\hoffset=0pt
\voffset=0 cm
\leftskip=0pt
\rightskip=0pt
\parindent=0cm

%And these are latex style parameters

\headsep=0cm
\headheight=0cm
\evensidemargin=0cm
\oddsidemargin=0cm
\parskip=12pt
\textwidth=16.5 true cm
\textheight=22 true cm
\topmargin=0cm

\def\Gr{Gr\"obner}
\def\kn{k[x_1,\dots,x_n]}

\newtheorem{theorem}{Theorem}
\newtheorem{lemma}{Lemma}[section]
\newtheorem{definition}{Definition}[section]
\newtheorem{example}{Example}[section]

\newenvironment{proof}
{\begin{trivlist}
\item[\hskip \labelsep {\bf Proof.}]
}
{\hfill$\Box$
\end{trivlist}}
           

\def\pagenumbers{\headline={\iftitle\hfil\global\titlefalse                     
   \else\hss\rm\folio\hss\fi}}                                                  
\newtoks\option                                                                 
\newtoks\solnhead                                                               
\newtoks\sheetname                                                              
\option={,}                                                                     
\def\separate#1,#2@{\def\optionid{#1}\def\optionname{#2}}                      
\def\fullwidth{\everypar{}\parindent=0pt\relax}                                 

\def\maketitle{
\begin{center}
{\sc Victoria University of Wellington\\
School of Mathematics, Statistics and Operations Research}\\
\smallskip
{\sl
Te Kura M{\=a}tai Tatauranga, Rangahau P{\=u}naha}
\end{center}
\expandafter\separate\the\option@
\hbox to\hsize{\hrulefill}
\nointerlineskip
\vskip3pt                                  
\hbox
to\hsize{\strut\rlap{\optionid}\hfill{\sc\optionname}\hfill\llap{\number\year}}          
\nointerlineskip
\vskip2pt
\hbox to\hsize{\hrulefill}}

\let\filbreak=\relax                                                           
\def\head{\filbreak\vskip 18pt\fullwidth                                    
   \def\filbreak{\global\let\filbreak=\fillbreak}%                            
   \centerline{\large\bf \the\sheetname}\nobreak
   \vskip 12pt minus 3pt}                                                       
\def\tutorial{\sheetname={Tutorial}\head}                                      
\def\assignment{\sheetname={Assignment}\head}                                  
\def\sheet#1{\sheetname={#1}\head}                                             
\def\showdue#1{\hbox to\hsize{\hfil Due: #1}
\vskip 5pt minus 3pt}

\leftmargin=0pt              

\begin{document}

\option={MATH 437,Gr\"obner Bases and Their Applications}        
\maketitle
\medskip 
\setcounter{section}2
\section{Ideals, Varieties and the Hilbert Basis Theorem}


\subsection{Ideals}

A variety is defined as a subset of the affine space $k^n$ which is the set of
common zeroes of a given set of polynomials. However, as we have seen in examples,
it is possible to derive the same variety from different sets of polynomials.  For
example, $V_\R(x^2+y^2)=V_\R(x,y)$. Other simple examples are that $V(x^2)=V(x)$ in
$k$, or more generally $V(f^2)=V(f)$ for any $f\in\kn$. We also have, using linear
combinations, $V(af+bg,cf+dg)=V(f,g)$ so long as $ad-bc\neq0$.

What we should be interested in, for a given variety $V$, is not just the given set
of defining polynomials, but the entire set of polynomials which vanishes on $V$.
Thus we set
\[
\bI(V)=\{f\in\kn\,|\,\forall (a_1,\dots,a_n)\in V,\,f(a_1,\dots,a_n)=0\}.
\]
What sort of a subset of $\kn$ is this---does it have nice algebraic properties? It
is easy to see that it is closed under addition and scalar multiplication, so it is
certainly a vector subspace.  Moreover it is closed under multiplication by an
arbitrary polynomial: if $h\in\kn$ and $f\in\bI(V)$ then $h.f\in\bI(V)$.  Such a
subset in a ring is called an {\it ideal\/}:
\begin{definition}
A subset $\bI\in\kn$ is an {\bf ideal} if \\[-5.5ex]
\begin{enumerate}
\item
$0\in\bI$,
\item
if $f,g\in\bI$ then $f+g\in\bI$,
\item
if $f\in\bI$ and $h\in\kn$ then $hf\in\bI$.\\[-5ex]
\end{enumerate}
\end{definition}

Note that more generally we can replace $ k[x_1,\dots,x_n]$ by a (commutative) ring
$R$, but unless it has an identity then (2) needs to be replaced by $f-g\in\bI$ to
ensure closure under additive inverses. Further, if $R$ is not commutative then one needs to distinguish between closure under left or right multiplication in (3) and hence there may be left and right ideals. 

Given a set of polynomials
$f_1,\dots,f_s\in\kn$, the {\bf ideal generated} by them is the set
\[
\<f_1,\dots,f_s\>=\left\{\sum_{i=1}^sh_if_i\,|\,h_1,\dots,h_s\in\kn\right\}.
\]
It is an easy exercise to check that this is an ideal. 

An arbitrary ideal $I\subseteq\kn$ is said to be {\bf finitely generated} if there
is a finite set of polynomials such that $I=\<f_1,\dots,f_s\>$. The set of polynomials
$\{f_1,\dots,f_s\}$ is called a {\bf basis} for $I$. Note that this does not mean
they form a basis for $I$ thought of as a vector subspace. Nor do bases of ideals
behave as nicely as bases of vector subspaces: there is not a minimality condition
like linear independence which ensures that all bases have the same number of
elements.  On the other hand our ideals are infinite--dimensional as vector spaces,
so our finite generating sets are doing more work!

The ideal generated by a set of polynomials encodes all the algebraic consequences
of those polynomials.

\begin{example} Elimination of parameters. \\[-6ex]
\end{example}
Eliminating the parameter $t$ from
the parametric equations $x=1+t, y=1+t^2$ is fairly simple and results in the
equation
$y=x^2-2x+2$.  We can realise this algebraically, working in the ring $k[x,y,t]$.
Consider $f=x-1-t$, $g=y-1-t^2$. Then
\[
1.g-(x-1+t).f=y-1-(x-1)^2=y-x^2+2x-2\in\<f,g\>.
\]



\subsection{Relation between ideals and varieties}

We've already seen that a variety $V$ gives rise to an ideal $\bI(V)$. Conversely,
given an ideal $I$ there is associated a set
\[
\bV(I)=\{(a_1,\dots,a_n)\in k^n\,|\,\forall f\in I,\,f(a_1,\dots,a_n)=0\}.
\]
Note that if $\{f_1,\dots,f_s\}$ is a basis for $I$ then $\bV(I)=V(f_1,\dots,f_s)$,
so it is a variety. It follows that two bases for a given ideal define the
same variety.  Whether $\bV(I)$ is always a variety depends on whether {\em every}
ideal can be finitely generated. 


Given a finite set of polynomials $f_1,\dots,f_s\in\kn$ we have two ways of
arriving at an ideal.  We can either take the generated ideal $\<f_1,\dots,f_s\>$.
or we can take the ideal associated to the variety $\bI(V(f_1,\dots,f_s))$. We
should like to determine the relation between these ideals. 

There are also two ways of getting a variety: directly as $V(f_1,\dots,f_s)$ or via
the ideal generated by the polynomials. We can write down two chains of functions.

\[
\begin{array}{ccccccc} 
\begin{array}{c}
\mbox{polynomials}\\
f_1,\dots,f_s
\end{array}
& 
\longrightarrow
& 
\begin{array}{c}
\mbox{varieties}\\
V(f_1,\dots,f_s)
\end{array}
& 
\longrightarrow
&
\begin{array}{c}
\mbox{ideals}\\
\bI(V)
\end{array}
&
\longrightarrow
& 
\begin{array}{c}
\mbox{varieties}\\
\bV(\bI(V))
\end{array}
\\ 
&&&&&&\\
\begin{array}{c}
\mbox{polynomials}\\
f_1,\dots,f_s
\end{array}
& 
\longrightarrow
&
\begin{array}{c}
\mbox{ideals}\\
I=\<f_1,\dots,f_s\>
\end{array}
&
\longrightarrow
& 
\begin{array}{c}
\mbox{varieties}\\
\bV(I)
\end{array}
&
\longrightarrow
& 
\begin{array}{c}
\mbox{ideals}\\
\bI(\bV(I))
\end{array}
\end{array}
\]

We would like to know:\\[-5.5ex]
\begin{enumerate}
\item
Is every ideal finitely generated? 
\item
What is the relation between $V$ and $\bV(\bI(V))$?
\item
What is the relation between $I$ and $\bI(\bV(I))$?
\end{enumerate}
We address (1) below in the Hilbert Basis Theorem. The answer to (2) is that they
are equal. The proof here is fairly straightforward and left as an assignment
exercise.


So let's look at (3). It should be clear that
$\<f_1,\dots,f_s\>\subseteq\bI(V(f_1,\dots,f_s))$. However we have already seen an
example where the reverse containment fails, namely for
$V_\R(x^2+y^2)$. For we know that $x,y\in\bI(V(x^2+y^2))$ but $x\notin\<x^2+y^2\>$.
Nevertheless it is interesting to look at an example where equality holds and to
see how to prove it.

\begin{example} Prove that if $f_1=y-x^2$ and $f_2=z-x^3$ in $\R[x,y,z]$ then
$\<f_1,f_2\>=\bI(V(f_1,f_2))$.\\[-5ex]
\end{example}

\begin{proof}
Note that the variety can be parametrised as the ``twisted cubic" $(t,t^2,t^3)$. We
know that $\subseteq$ holds automatically. To establish $\supseteq$, consider
$f\in\bI(V(f_1,f_2))$. $f$ is a linear combination of monomials of the form
$x^\ga y^\gb z^\gc$ and
\begin{eqnarray*}
x^\ga y^\gb z^\gc&=&x^\ga(x^2+(y-x^2))^\gb(x^3+(z-x^3))^\gc\\
&=&x^\ga(x^{2\gb}+\mbox{terms involving }f_1)(x^{3\gc}+\mbox{terms involving }f_2)\\
&=&h_1f_1+h_2f_2+x^{\ga+2\gb+3\gc}.
\end{eqnarray*}
Summing over all the terms in $f$ we deduce that
\[
f=\hat h_1f_1+\hat h_2f_2+r
\]
where the ``remainder" polynomial $r$ depends only on $x$. Evaluating as functions
on any point $(a,b,c)\in V(f_1,f_2)$, and using the fact that $f,f_1,f_2$ all
vanish on $V$, we obtain
\[
r(a)=0 \mbox{ for all }(a,b,c)\in V.
\]
But for any $a\in\R$ there is a point $(a,a^2,a^3)\in V$ so $r$ vanishes
identically and hence (as $\R$ is infinite) $r$ is the zero polynomial.  Thus
$f=\hat h_1f_1+\hat h_2f_2\in\<f_1,f_2\>$ as required.
\end{proof}

The complete answer to (3) is given by Hilbert's Nullstellensatz, at least in the
case of algebraically closed fields, and we'll prove that in a later lecture.

\subsection{Hilbert Basis Theorem}

We want to know whether {\it every\/} ideal in $\kn$ is finitely
generated. Here we answer in the affirmative. The condition is equivalent to
another, as follows:

In a ring $R$, an {\bf ascending chain of ideals\/} is a sequence
\[
I_1\subseteq I_2\subseteq I_3\subseteq\dots
\]
$R$ satisfies the {\bf ascending chain condition} (ACC) if for every ascending
chain of ideals, there exists $N$ so that $I_N=I_{N+1}=I_{N+2}=\dots$. A ring
satisfying this condition is also called {\bf Noetherian}.

\begin{lemma}
\label{hbtacc}
Every ideal in $\kn$ is finitely generated if and only if $\kn$ is Noetherian.
\end{lemma}

\begin{proof}
$\Leftarrow$  Suppose $\kn$ is Noetherian but the ideal $I\subseteq\kn$ is not
finitely generated.  Choose any $f_1\in I$ and define $I_1=\<f_1\>$. Since $I$ is
not finitely generated, $I_1\subsetneq I$, so we may choose $f_2\in I - I_1$, and
define $I_2=\<f_1,f_2\>$. Continuing in this way we define a non-terminating
ascending chain, contradicting the hypothesis.

$\Rightarrow$ A straightforward exercise too.
\end{proof}

In fact, the lemma is clearly true in any ring---we are not using any
special properties of the polynomial rings here.  Noetherianism is preserved passing
from a ring to its polynomial ring. We shall need $R$ a ring, rather than a field in
order to use the identification
$\kn=(k[x_1,\dots,x_{n-1}])[x_n]$.

\begin{lemma}
\label{polynoeth}
If $R$ is Noetherian then so is $R[x]$.
\end{lemma}

\begin{proof}
The proof is informative for later because it indicates the importance of the {\it
leading terms\/} of polynomials in an ideal.  Let $J\subseteq R[x]$ be an ideal
and define
\[
I_n=\{r\in R\,|\,\exists f\in J, f=rx^n+\mbox{ lower order terms}\}\cup\{0\}.
\]
It is fairly easy to see that since $J$ is an ideal then so is $I_n$ (exercise).
Moreover $I_0\sb I_1\sb I_2\sb$ is an AC so since $R$ is Noetherian, for some $N$, $I_n=I_N$ for all $n\geq
N$. Further, by Lemma~\ref{hbtacc}, for each $n=0,\dots,N$ there is an integer $t_n$ such that:
\[
I_n=\<r_{n1},\dots,r_{nt_n}\>.
\]
For each $n=0,\dots,N$ and $k=1,\dots,t_n$, let $f_{nk}\in J$ be a polynomial such
that
\[
f_{nk}=r_{nk}x^n+\mbox{ lower order terms}
\]
and let $J^*=\<f_{nk}\,|\,n=0,\dots,N,\,k=1,\dots,t_n\>$. 

I claim that $J=J^*$. Certainly $J^*\sb J$ since each $f_{nk}\in J$.  Conversely, let $f\in J$ and suppose
$\deg f=n$, and $f=rx^n+\mbox{l.o.t.}$ We proceed by induction on $n$. 

{\em Base step: $n=0$.} In this case, $f$ is a constant (possibly $0$)
so we can regard $f$ as an element $r\in I_0\subseteq R$, so it satisfies
$r=\dsum_{k=1}^{t_0}s_k r_{0k}$. But since $r_{0k}=f_{0k}\in J^*$, clearly
$f=\dsum_{k=1}^{t_0}s_k f_{0k}\in J^*$.

{\em Inductive step.}  Now, given $n$, make the inductive hypothesis that for all $g\in J$, $\deg
g\leq n-1$, we have $g\in J^*$.  There are 2~cases.

\fbox{$n\leq N$} 
Suppose $r\in I_n$, so $r=\dsum_{k=1}^{t_n}s_k r_{nk}$ for some $s_k\in R$. Hence
$g=\dsum_{k=1}^{t_n}s_k f_{nk}$ has degree~$n$ and leading coefficient $r$ and is
in $J^*$. But then $h=f-g$ has degree~$n-1$ and $h\in J$. So by inductive
hypothesis, $h$ is in $J^*$ and since $g\in J^*$, it follows that $f=h+g\in J^*$ as
required.

\fbox{$n>N$} 
With notation as above, and given $I_n= I_N$, suppose
$r=\dsum_{k=1}^{t_N}s_k r_{Nk}$. Let $g=\dsum_{k=1}^{t_N}s_k f_{Nk}x^{n-N}$ and
proceed as before.
\end{proof}


\begin{theorem}[Hilbert Basis Theorem]
\label{hbt}
Every ideal of $\kn$ is finitely generated.
\end{theorem}

\begin{proof}
This is a corollary of the previous two lemmas using
\[
\kn=(k[x_1,\dots,x_{n-1}])[x_n]
\]
and the fact that, as $k$ is a field it has no
non-trivial ideals, so the two ideals, \{0\} and $k$, are generated by $0$ and $1$
respectively, hence $k$ is Noetherian.
\end{proof}






\end{document}

